import os, glob
from shutil import copyfile

def copy(muPAs,muPBs,ks,Ns,filetoCopy,mainDir):
    cwd = os.getcwd()
    if len(muPBs)>0:
        for k in ks:
            if k == 0.1:
                for N in Ns:
                    kDir = mainDir+'k{}/N{}/'.format(k,N)
                    for muPA in muPAs:
                            muDir = kDir + 'muPA{}/'.format(muPA)
                            files = glob.glob(muDir+'*')
                            print('copying files from {}'.format(muDir))
                            for file in files:
                                fName = file.split('/')[-1]
                                if fName in filetoCopy:
                                    fNameNew =  'k{k}_N{N}_m{muPA}_'.format(k=k,N=N, muPA=muPA) + fName
                                    copyfile(file,os.path.join(cwd,fNameNew))
            else:
                kDir = mainDir+'k{}/'.format(k)
                for muPA in muPAs:
                    muDir = kDir + 'muPA{}/'.format(muPA)
                    files = glob.glob(muDir+'*')
                    print('copying files from {}'.format(muDir))
                    for file in files:
                        fName = file.split('/')[-1]
                        if fName in filetoCopy:
                            fNameNew =  'k{k}_N{N}_m{muPA}_'.format(k=k,N=N, muPA=muPA) + fName
                            copyfile(file,os.path.join(cwd,fNameNew))
    else:
        for N in Ns:
            for k in ks:
                kDir = mainDir + 'k{}/'.format(str(k))
                print('copying files from {}'.format(kDir))
                for muPA in muPAs:
                    for muPB in muPBs:
                        fHeader = 'mu{muPA}{muPB}'.format(muPA=muPA,muPB=muPB)
                        files = glob.glob(kDir+fHeader+'_*')
                        for file in files:
                            fName = file.split('/')[-1]
                            if fName.split(fHeader+'_')[-1] in filetoCopy:
                                fNameNew = fName.replace(fHeader,'k{k}_N{N}_m{muPA}{muPB}'.format(k=k,N=N, muPA=muPA, muPB=muPB))
                                copyfile(file,os.path.join(cwd,fNameNew))

            